## gwenrename 1.1~beta7

=== CMakeLists.txt ===
project(gwenrename)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)

include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

add_subdirectory( doc )
add_subdirectory( po )
add_subdirectory( src )
add_subdirectory( icons )


#
# Packing stuff
#
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A batch renaming tool")
SET(CPACK_PACKAGE_VENDOR "S. Georgaras <sng@hellug.gr>")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
SET(CPACK_PACKAGE_VERSION_MAJOR "1")
SET(CPACK_PACKAGE_VERSION_MINOR "1")
SET(CPACK_PACKAGE_VERSION_PATCH "0-beta7")
SET(CPACK_PACKAGE_EXECUTABLES "gwenrename" "gwenrename")
INCLUDE(CPack)

=== doc/CMakeLists.txt ===
########### install files ###############
#

kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR gwenrename)

=== po/CMakeLists.txt ===
# Search KDE installation
FIND_PACKAGE(KDE4 REQUIRED)

FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
   MESSAGE(FATAL_ERROR "Please install the msgfmt binary which comes with gettext")
ENDIF (NOT GETTEXT_MSGFMT_EXECUTABLE)

FILE(GLOB _po_files *.po)

SET(_gmoFiles)

FOREACH(_current_PO_FILE ${_po_files})
   GET_FILENAME_COMPONENT(_lang ${_current_PO_FILE} NAME_WE)
   SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
   add_custom_command(OUTPUT ${_gmoFile}
         COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_current_PO_FILE}
         WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
         DEPENDS ${_current_PO_FILE}
      )

   INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME gwenrename.mo)
   LIST(APPEND _gmoFiles ${_gmoFile})
ENDFOREACH(_current_PO_FILE)
ADD_CUSTOM_TARGET(pofiles ALL DEPENDS ${_gmoFiles})

=== src/CMakeLists.txt ===
set(gwenrename_SRCS
   exif.cpp
   iconload.cpp
   filesdata.cpp
   dirsdata.cpp
   initaskmode.cpp
   inputdir.cpp
   timestamp.cpp
   namepartbase.cpp
   multiselecttool.cpp
   rename.cpp
   main.cpp
 )

# kde4_add_ui_files(gwenrename_SRCS gwenrenameview_base.ui prefs_base.ui rename.ui inputdir.ui initaskmode.ui timestamp.ui namepartbase.ui)
kde4_add_ui_files(gwenrename_SRCS rename.ui inputdir.ui initaskmode.ui timestamp.ui namepartbase.ui multiselecttool.ui)

# kde4_add_kcfg_files(gwenrename_SRCS settings.kcfgc )

kde4_add_executable(gwenrename ${gwenrename_SRCS})

target_link_libraries(gwenrename ${KDE4_KDEUI_LIBS}  ${KDE4_KIO_LIBS})

install(TARGETS gwenrename ${INSTALL_TARGETS_DEFAULT_ARGS} )

kde4_install_icons( ${DATA_INSTALL_DIR}/gwenrename/icons )

########### install files ###############

install( FILES gwenrename.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
install(FILES konqgwenrename.desktop DESTINATION ${SERVICES_INSTALL_DIR}/ServiceMenus )
install(FILES gwenview-gwenrename.desktop DESTINATION  ${DATA_INSTALL_DIR}/gwenrename/tools )


# install( FILES gwenrename.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
# install( FILES gwenrenameui.rc  DESTINATION  ${DATA_INSTALL_DIR}/gwenrename )

=== debian/changelog ===
gwenrename (1.1~beta7-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #181357, #373573):
    - Remove kubuntu_01_clean_desktop_file.patch, applied upstream
    - Remove 02_fix_icon_installation.patch, applied upstream
    - Add kubuntu_01_fix_docbook_build.diff to fix FTBFS
  * Port packaging to KDE4:
    - Bump compat to 7
    debian/control:
    - Bump debhelper build-dep to 7 for pkg-kde-tools
    - Add build-depends on pkg-kde-tools and cmake
    - kdelibs4-dev -> kdelibs5-dev
    - Bump Standards-Version to 3.9.1
    debian/rules:
    - Use dh7 short rules with the kde dh extension
  * Switch to source format 3.0 (quilt)
  * Konkueror -> Konqueror in package description
  * Make description lines less narrow
  * Move homepage entry from the description to its own field

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 28 Dec 2010 12:54:10 -0400

gwenrename (1.1~beta1-0ubuntu2) jaunty; urgency=low

  * debian/patches
    - add 02_fix_icon_installation.patch to correctly install the icons.
      This is a backport from the beta2-change. (LP: #140012)

 -- Andreas Moog <andreas.moog@warperbbs.de>  Wed, 01 Apr 2009 02:48:31 +0200

gwenrename (1.1~beta1-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Anthony Mercatante <tonio@ubuntu.com>  Sat, 30 Jun 2007 23:11:15 +0200

gwenrename (1.0.2-0ubuntu1) edgy; urgency=low

  * New upstream release
  * Switched to debhelper 5

 -- Anthony Mercatante <tonio@ubuntu.com>  Sun,  9 Jul 2006 13:00:38 +0200

gwenrename (1.0.1-0ubuntu3) dapper; urgency=low

  * Added dh_iconcache

 -- Brandon Holtsclaw <brandon@imbrandon.com>  Fri, 28 Apr 2006 16:46:01 -0500

gwenrename (1.0.1-0ubuntu2) dapper; urgency=low

  * Rebuild KDE universe for libstdc++ transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 17 Dec 2005 16:46:01 +0000

gwenrename (1.0.1-0ubuntu1) dapper; urgency=low

  * Initial Release.
  * Source was already configured. "make distclean" applied.
  * Added patch 01 to add GenericName (english and french) informations and remove empty options
  * Sponsored upload for Anthony Mercatante <anthony.mercatante@laposte.net>

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 17 Nov 2005 02:07:28 +0200

=== debian/control ===
Source: gwenrename
Section: kde
Priority: optional
Maintainer: Anthony Mercatante <tonio@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), kdelibs5-dev, cmake,
 docbook2x
Standards-Version: 3.9.1
Homepage: http://users.otenet.gr/~geosp/gwenrename/index.html

Package: gwenrename
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Batch renamer tool for KDE
 GwenRename is a series renamer tool. It was created as an external tool for
 GwenView, the image viewer for KDE, but can also be used from Konqueror. As
 that, the files to be renamed are passed to it as command line parameters,
 and there is no other way to load files into it. The main goal is to have a
 batch renaming tool that's easy and light enough for every day use. If you
 are looking for a more compound and featured renaming tool, you should have
 a look at Dominik Seichter's "KRename".

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde

DEB_INSTALL_MANPAGES_gwenrename = gwenrename.1

override_dh_auto_build:
	dh_auto_build
	docbook2x-man debian/gwenrename.1.docbook
	
override_dh_auto_clean:
	dh_auto_clean
	rm -f gwenrename.1
